{% extends "catalog/base_generic.html" %}

{% block content %}
    <h1>Author List</h1>
    {% if authors %}
        <ul>
            {% for author in authors %}
                <li>
                    <a href="{{ author.get_absolute_url }}">
                        {{ author.last_name }}, {{ author.first_name }}
                    </a>
                    ({{ author.date_of_birth|date:"jS F Y" }} -
                    {% if author.date_of_death %}
                        {{ author.date_of_death }})
                    {% else %}
                        not dead yet)
                    {% endif %}
                    {% if perms.catalog.change_author %}
                        <a href="{% url 'author-update' author.id %}">
                            <button class="btn btn-sm btn-outline-primary">Edit</button>
                        </a>
                    {% endif %}
                    {% if perms.catalog.delete_author %}
                        <a href="{% url 'author-delete' author.id %}">
                            <button class="btn btn-sm btn-outline-danger">Delete</button>
                        </a>
                    {% endif %}
                </li>
            {% endfor %}
        </ul>
    {% else %}
        <p>Ain't no authors in dat library.</p>
    {% endif %}
    {% if perms.catalog.add_author %}
        <a href="{% url 'author-create' %}">
            <button class="btn btn-primary">Add Author</button>
        </a>
    {% endif %}
{% endblock %}}